Subject: Re: [RFC] Make board force selection of PHYLIB

From: Scott Wood <[email-masked]>
Date: Tue, 03 Jun 2008 10:18:24 -0500

Kumar Gala wrote:
> On Jun 3, 2008, at 10:10 AM, Scott Wood wrote:
>> I'd rather avoid adding another case where the kernel needs to know 
>> what modules are being built, though, especially if the result of 
>> changing the .config and building modules is a mysterious runtime 
>> failure (due to a missing platform fixup) rather than compile- or 
>> insertion-time.
> 
> I don't follow what you are getting at here.  Is this something more 
> than #ifdef PHYLIB in the platform code?

If you just #ifdef PHYLIB, then things will break if the user does this:
make config, GIANFAR=PHYLIB=n
make zImage
make config, GIANFAR=PHYLIB=m
make modules

And the cause of the failure will not be something that obviously points 
to a build problem, such as unresolved symbols.

I'd rather just unconditionally select PHYLIB on platforms that need to 
do fixups.

-Scott